def convert(value, row):
    convert_key = key_as_str(row['arrtypex'])
    missing = crosswalk['final'].missing or None
    unknown = crosswalk['final'].unknown or None
    
    if convert_key:
        try:
           return crosswalk['final'].convert(convert_key)
       
        except ConvertError as e:
            log.write('atype', [row['id'], row['rapstatex'], convert_key, "key not in crosswalk."])
            
            return unknown
    else:
        return missing
    
    

